// JavaScript reference: https://developer.mozilla.org/en-US/docs/Web/JavaScript
function roundN(value, nDigits) {
  factor = Math.pow(10,nDigits);
  return Math.round(value * factor)/factor;
}

function init() {
  // https://developer.mozilla.org/en-US/docs/Web/API
  // https://developer.mozilla.org/en-US/docs/Web/API/DeviceOrientationEvent
  if (window.DeviceOrientationEvent) {
    window.addEventListener("deviceorientation", function(event) {
      document.getElementById("Absolute").innerHTML = event.absolute; // note that this is a Boolean value
      document.getElementById("Alpha")   .innerHTML = roundN(event.alpha,2);
      document.getElementById("Beta")    .innerHTML = roundN(event.beta, 2);
      document.getElementById("Gamma")   .innerHTML = roundN(event.gamma,2);
    }, true);
  } else {
    alert("Sorry, your browser doesn't support Device Orientation");
  }
}
