// Written by Dr. YIP Chi Lap [Beta]
//   for Talk on "DIY Earthquake Detector: The software side" 
//   Earthquake Detector Design Competition
//   Faculty of Engineering, The University of Hong Kong, 2016.

/*
  This program demonstrates how we can copy an array.
  The calculations demonstrated in this program does not need to be
    done in the draw() function, because the result does not change.
  However, it is written like this for the purpose of demonstration.
*/
int[] values;

void setup() {
  size(600,300);

  values = new int[15];
  for (int r=0; r<values.length; ++r) {
    values[r] = r+1;
  }
}

// This is run every time the display window can be redrawn.
void draw() {
  background(0);
  fill(192);

  // Display the "values" array
  for (int r=0; r<values.length; ++r) {
    text(values[r], 20+r*30, 100);
  }

  // A local array "results" is created.
  // Since values.length is the length of the "values" array,
  //   creating "results" this way makes it the same in length
  //   as that for the "values" array.
  // Here we declare (specify that "results" is the space for cabinets)
  //   and define the array  (buying the cabinet) at the same time.
  int[] results = new int[values.length];
  // Copy the elements of the "values" array to the "results" array.
  for (int r=0; r<values.length; ++r) {
    results[r] = values[r];
  }

  // Display the "results" array
  for (int r=0; r<results.length; ++r) {
    text(results[r], 20+r*30, 150);
  }

  // What does this do?
  for (int r=1; r<values.length; ++r) {
    results[r] = results[r] + results[r-1];
  }

  // Display the "results" array now
  for (int r=0; r<results.length; ++r) {
    text(results[r], 20+r*30, 200);
  }
}
