// Written by Dr. YIP Chi Lap [Beta]
//   for Talk on "DIY Earthquake Detector: The software side" 
//   Earthquake Detector Design Competition
//   Faculty of Engineering, The University of Hong Kong, 2016.

// Specify that video processing library is to be used.
import processing.video.*;

// This is made globally accessible representing the camera.
Capture camera;

// This function is called when the program starts to run.
void setup() {
  // Sets the size of the display window.
  size(640, 480, P2D);
  // Creates the camera object.
  camera = new Capture(this,width,height);
  // Starts the camera for capturing.
  camera.start();
}

// This function is called periodically, whenever the display needs to be refreshed.
void draw() {
  // Draws the frame to the screen.
  //   image    x  y
  //     |      |  |
  image(camera, 0, 0);
}

// This function is called automatically when the capture device (camera)
//   is ready and has another frame available.
// The parameter c represents the camera that is ready.
// In this program, we assume that there is only one camera.
void captureEvent(Capture c) {
  c.read();
}
