// Written by Dr. YIP Chi Lap [Beta]
//   for Talk on "DIY Earthquake Detector: The software side" 
//   Earthquake Detector Design Competition
//   Faculty of Engineering, The University of Hong Kong, 2016.

// This is required for playing movies and using capture devices
import processing.video.*;

// This represents the movie that can be accessed by all the functions.
Movie mov;

// This function is called when the program first starts.
void setup() {
  // Creates the object representing the movie.
  mov = new Movie(this, "Circle trace.mov");
  // mov = new Movie(this, "LongitudinalWave.mov");

  // Set the size of the display window.
  // Experiement with one of the following
  //   by commenting and uncommenting the appropriate lines.
  size(728, 454, P2D);	    // display window same size as that for movie
  // size(800, 600, P2D);      // display window larger than that for movie
  // size(364, 227, P2D);      // display window smaller than that for movie

  // Start movie playing.
  mov.play();
}

// This function is called automatically whenever the screen can be refreshed.
void draw() {
  // Make background black.
  // 0 means black, 255 means white,
  //   numbers in between different shades of gray.
  background(0);

  // Read a new frame if it is available.
  if (mov.available()) {
    mov.read();
  }

  // Draw a frame of movie on screen.
  //   What to draw
  //     |  x-coordinates of top left corner
  //     |   | y-coordinates of top left corner
  //     |   |  |  the width the image should be scale to
  //     |   |  |    |  the height the image should be scale to
  //     |   |  |    |       |
  image(mov, 0, 0, width, height);

  // Make words to be displayed black in colour.
  // 0 means black, 255 means white,
  //   numbers in between different shades of gray.
  fill(0);
  // Display the frame number on screen.
  text("Time: "+mov.time(), 15, 30);
}
